%define name sip
%define version 2.5
%define release 1mdk
%define py_ver 2.0

%define major 6
%define libname lib%{name}%{major}

Summary: Python bindings generator for C++ class libraries.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL-like
Group: Development/Python
Source: %{name}-%{version}.tar.bz2
URL: http://www.thekompany.com/projects
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: python >= %{py_ver}

%description
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%package -n %{libname}
Summary: Python bindings generator for C++ class libraries.
Group: System/Libraries
Provides: %{name} = %{version}

%description -n %{libname}
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.

%package -n %{libname}-devel
Summary: Libraries and include files for developing.
Group: Development/C++
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}

%description -n %{libname}-devel
Generates Python bindings for C++ class libraries from a set of class
specification files.  Also includes a runtime support library needed by all
generated bindings.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
aclocal
touch ltconfig
automake
libtoolize --force
autoconf
%configure
%make

%install
%makeinstall

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/sip

%files -n %{libname}-devel
%defattr(-, root, root, 755)
%{_includedir}/sip/sip.h
%{_includedir}/sip/sipQt.h
%{_libdir}/libsip.a
%{_libdir}/libsip.la
%{_libdir}/libsip.so

%files -n %{libname}
%defattr(-, root, root, 755)
%{_libdir}/*.so.*

%changelog
* Mon Sep 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.5-1mdk
- 2.5

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-3mdk
- fixed some errors in spec file (sorry, my first package)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-2mdk
- fixed the Python dependency (>= 2.0 instead of = 2.0)

* Mon May 14 2001 Yves BAILLY <ybailly@mandrakesoft.com> 2.4-1mdk
- upgrade to version 2.4

* Tue Mar 20 2001 David BAUDENS <baudens@mandrakesoft.com> 2.3-2mdk
- Rebuild against Qt 2.3.0

* Wed Feb 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.3-1mdk
- updated to 2.3

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
	- built on Mandrake-7.2 following Mandrake RPM guidelines

